import React from 'react';
import { PathSocial, RectSocial, SvgSocial } from './Svg';

export const TwitterIcon = () => {
  return (
    <SvgSocial
      viewBox="0 0 32 32"
      xmlns="http://www.w3.org/2000/svg"
    >
      <RectSocial rx="8" />
      <PathSocial d="M23.3333 9.99999C22.6949 10.4503 21.988 10.7947 21.24 11.02C20.8385 10.5583 20.3048 10.2311 19.7113 10.0826C19.1178 9.9341 18.493 9.97145 17.9213 10.1896C17.3497 10.4078 16.8589 10.7963 16.5153 11.3025C16.1716 11.8087 15.9918 12.4082 16 13.02V13.6867C14.8284 13.717 13.6675 13.4572 12.6206 12.9303C11.5738 12.4034 10.6735 11.6257 9.99996 10.6667C9.99996 10.6667 7.33329 16.6667 13.3333 19.3333C11.9603 20.2653 10.3247 20.7326 8.66663 20.6667C14.6666 24 22 20.6667 22 13C21.9993 12.8143 21.9815 12.6291 21.9466 12.4467C22.627 11.7757 23.1072 10.9285 23.3333 9.99999V9.99999Z" />
    </SvgSocial>
  );
};
